Bug 518106 - [RFE] GFS2: New mount option: -o errors=withdraw|panic
Summary: [RFE] GFS2: New mount option: -o errors=withdraw|panic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: 5.5
Assignee: Robert Peterson
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 533192 557292 526947 5.5TechNotes-Updates 572721
TreeView+ depends on / blocked
 
Reported: 2009-08-18 21:42 UTC by Robert Peterson
Modified: 2016-04-26 16:10 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This patch introduces GFS2 support for the errors= mount command line option. This is similar in intent to the ext3 option of the same name, although currently there are only two supported options. The default, errors=withdraw results in the filesystem attempting to withdraw from the cluster if an I/O error or metadata error is encountered. The alternative, errors=panic results in a panic in the same situation. This can be useful during certain kinds of testing.
Clone Of: 517145
Environment:
Last Closed: 2010-03-30 07:46:08 UTC


Attachments (Terms of Use)
Patch to fix the problem (5.83 KB, patch)
2009-10-02 19:52 UTC, Robert Peterson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Robert Peterson 2009-08-18 21:42:19 UTC
+++ This bug was initially created as a clone of Bug #517145 +++
which was itself a clone of Bug #488499 +++

This bug will be used to add the mount options "-o errors=panic"
and "-o errors=withdraw" for mounting GFS2 file systems.

If "-o errors" is not specified or if "errors=withdraw" is
specified, GFS2 file system errors will be treated as they are
today.  That is, if the error is not severe, the file system will
simply "withdraw" and the file system will become unusable until
the system is rebooted.  What happens next depends on the value of
the "kernel.panic_on_oops" sysctl value.  The default behavior for
the kernel is to panic when the oops occurs.  If the users have
overridden this with "sysctl -w kernel.panic_on_oops=0" the system
will keep running after the file system withdraw occurs.

If "-o errors=panic" is specified, even non-severe file system errors
will cause the system to force a kernel panic.  This may be
useful (when combined with other options) for automatically
rebooting a system with errors when a fencing device is used that
does not force a reboot (fabric-level fencing, such as fence_scsi).

Comment 1 Steve Whitehouse 2009-10-02 13:02:49 UTC
Bob, is there anything preventing posting the patch for this bz now?

Comment 2 Robert Peterson 2009-10-02 13:21:03 UTC
Nope, I've just got to take time to do it.

Comment 3 Robert Peterson 2009-10-02 19:52:23 UTC
Created attachment 363520 [details]
Patch to fix the problem

The crosswrite patch appears upstream.  This is the patch I
POSTed for inclusion into 5.5.  It was tested on system roth-01.

Comment 5 Don Zickus 2009-10-06 19:38:54 UTC
in kernel-2.6.18-168.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 8 Steve Whitehouse 2010-01-27 15:27:26 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
This patch introduces GFS2 support for the errors= mount command line option. This is similar in intent to the ext3 option of the same name, although currently there are only two supported options. The default, errors=withdraw results in the filesystem attempting to withdraw from the cluster if an I/O error or metadata error is encountered. The alternative, errors=panic results in a panic in the same situation. This can be useful during certain kinds of testing.

Comment 12 errata-xmlrpc 2010-03-30 07:46:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.